package com.example.julian.endlessroll.views;

import android.support.annotation.ColorRes;

import com.example.julian.endlessroll.R;

public enum MessageType {
    GAME_OVER("GAME OVER", "Retry", R.color.loose), WIN("YOU DID IT!", "Next Level", R.color.win);

    private String message;
    private String leftButtonText;
    @ColorRes
    private int color;

    MessageType(String message, String leftButtonText, @ColorRes int color) {
        this.message = message;
        this.leftButtonText = leftButtonText;
        this.color = color;
    }

    public String getMessage() {
        return message;
    }

    public String getLeftButtonText() {
        return leftButtonText;
    }

    @ColorRes
    public int getColor() {
        return color;
    }
}